Bug 204517 - [patch] www/pecl-twig: Update to 1.23.1
Summary: [patch] www/pecl-twig: Update to 1.23.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-11-13 10:11 UTC by Torsten Zühlsdorff
Modified: 2015-11-14 01:52 UTC (History)
0 users

See Also:


Attachments
patch with update to 1.23.1 (731 bytes, patch)
2015-11-13 10:11 UTC, Torsten Zühlsdorff
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Torsten Zühlsdorff 2015-11-13 10:11:37 UTC
Created attachment 163086 [details]
patch with update to 1.23.1

Hello,

attached a patch to bring the port to its current version.

portlint -C is fine.

poudriere test-builds are fine for:
9.3 amd64 + i386
10.1 amd64 + i386
10.2 amd64 + i386
11-current r290639 amd64 + i386

I use the software in my own progress. As runtime test i installed the new version and check if everything works like expected - it did :)

Greetings,
Torsten
Comment 1 Torsten Zühlsdorff 2015-11-13 10:12:25 UTC
Suggestion for commit message:

Log:
  www/pecl-twig: update 1.23.0 -> 1.23.1

  Changes:
  * 1.23.1 (2015-11-05)
   * fixed some exception messages which triggered PHP warnings
   * fixed BC on Twig_Test_NodeTestCase

   PR: 204517
   Submitted by: Torsten Zühlsdorff <ports@toco-domains.de> (maintainer)
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2015-11-13 10:24:28 UTC
Nice work Torsten. Don't forge tto set maintainer-approval to + for ports you maintain or patches you approve (as maintainer)
Comment 3 Torsten Zühlsdorff 2015-11-13 10:33:06 UTC
(In reply to Kubilay Kocak from comment #2)

> Don't forge tto set maintainer-approval to + for ports you maintain 
> or patches you approve (as maintainer)

Originally i wanted to ask why this is needed, but after some thoughts i have so much possible answers, that i've set the flags for the new PRs. :)

But one question left:
Is maintainer-approval for the patch enough? Or is maintainer-feedback + also needed?
Comment 4 commit-hook freebsd_committer 2015-11-13 19:14:34 UTC
A commit references this bug:

Author: sunpoet
Date: Fri Nov 13 19:14:07 UTC 2015
New revision: 401551
URL: https://svnweb.freebsd.org/changeset/ports/401551

Log:
  - Update to 1.23.1

  Changes:	https://github.com/twigphp/Twig/blob/1.x/CHANGELOG
  PR:		204517
  Submitted by:	Torsten Zuhlsdorff <ports@toco-domains.de> (maintainer)

Changes:
  head/www/pecl-twig/Makefile
  head/www/pecl-twig/distinfo
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2015-11-14 01:52:33 UTC
Committed. Thanks!